find_lock_page
Prev | More Memory Management Functions | Next

## Name

find_lock_page — locate, pin and lock a pagecache page

## Synopsis

`struct page * find_lock_page (` | struct address_space * | mapping,
| pgoff_t | offset`)`;

## Arguments

`mapping`

  the address_space to search

`offset`

  the page index

## Description

Locates the desired pagecache page, locks it, increments its reference count and returns its address.

Returns zero if the page was not present. `find_lock_page` may sleep.

Prev | Up | Next
find_get_page | Home | find_or_create_page